<%@ page title="" language="VB" masterpagefile="~/Page.master" autoeventwireup="false" inherits="framesPage, App_Web_jvwg1jie" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentHead" runat="Server">
    <style type="text/css">
        body{ overflow:hidden}
        .switch
        {
            width: 10px;
            display: block;
            float: left;
        }
        
        .switch SPAN
        {
            z-index: 10;
            position: fixed;
            text-indent: -999em;
            width: 10px;
            display: block;
            height: 47px;
            top: 360px;
        }
    </style>
    <script src="/jslib/jquery/plugins/url/jquery.url.packed.js" type="text/javascript"></script>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="mainCopy" runat="Server">
    <script type="text/javascript">
        function selectedNodeChange(id, txt) { treeSelectedChange(id) }
        function treeSelectedChange(id) {
            var url = jQuery.url.param("right");
            var flagIndex = url.indexOf("{}")
            if (flagIndex != -1) {
               url= url.replace("{}",id)

            } else {
                if (url.indexOf("?") == -1) { url += "?id=" + id } else {
                    var dd = url.indexOf("?id=");
                    if (dd == -1) { dd = url.indexOf("&id="); }

                    if (dd == -1) { url += "&id=" + id }
                    else {
                        dd++
                        var r = url.substring(dd);
                        var kk = r.indexOf("&");
                        if (kk == -1) r = ""; else { r = r.substring(kk) };
                        url = url.substring(0, dd) + "id=" + id + r

                    }


                };

            }

            url = decodeURIComponent(url);
            rightIframe.location = url;
        };
        function barclick() {
            var width = $("#leftFrame").width()

            if (width > 20) {
                $("#bar").css({ background: "url(/images/right.png) no-repeat 0px -2px" })
                $("#leftFrame").width(0); $("#td1").width(0); // $("div[class='switch']").css({ borderLeft: "#f6ea89 0px solid", borderRight: "#f6ea89 0px solid" });

            } else {
                $("#bar").css({ background: "url(/images/left.png) no-repeat 0px -2px" })

                $("#td1").width(200); $("#leftFrame").width(200); // $("div[class='switch']").css({ borderLeft: "#f6ea89 0px solid", borderRight: "#f6ea89 1px solid" });
            }
        }
        function size() {
            var h = $(top.window).height() - $("#leftFrame").offset().top;
            $("#leftFrame").height(h); $("#rightIframe").height(h);
            try { leftFrame.document.getElementById("treeboxbox_tree").style.height = h - 2; } catch (o) { }


        }

        $().ready(function () {
            leftFrame.location = jQuery.url.param("left");
            //rightIframe.location = jQuery.url.param("right");
            setInterval(function () { size() }, 555);



            $("#bar").hover(
  function () {
      var width = $("#leftFrame").width()

      if (width > 20) {
          $(this).css({ background: "url(/images/leftH.png) no-repeat 0px -2px" });
      } else {
          $(this).css({ background: "url(/images/rightH.png) no-repeat 0px -2px" });
      }

  },
  function () {
      var width = $("#leftFrame").width()

      if (width > 20) {
          $(this).css({ background: "url(/images/left.png) no-repeat 0px -2px" });
      } else {
          $(this).css({ background: "url(/images/right.png) no-repeat 0px -2px" });
      }
  }
).click(function () {
    barclick();
});

        });
    </script>
    <table>
        <tr>
            <td style="width: 200px" id="td1">
                <iframe id="leftFrame" src="about:blank" width="200px" scrolling="no" frameborder="0">
                    </iframe>
            </td>
            <td>
                <div class="switch">
                    <span id="bar" style="background: url(/images/left.png) no-repeat 0px -2px">点此展开/折叠侧栏</span>
                </div>
            </td>
            <td style="width: 100%">
                <iframe id="rightIframe" src="about:blank" width="100%" frameborder="0"></iframe>
            </td>
        </tr>
    </table>
</asp:Content>
